Index: inc/core/class.dc.blog.php
===================================================================
--- inc/core/class.dc.blog.php	(revision 3731)
+++ inc/core/class.dc.blog.php	(revision 3874)
@@ -49,6 +49,6 @@
     public $public_path;
 
-    private $post_status    = array();
-    private $comment_status = array();
+    private $post_status    = [];
+    private $comment_status = [];
 
     private $categories;
@@ -249,5 +249,5 @@
             $rs = $this->con->select($strReq);
 
-            $affected_posts = array();
+            $affected_posts = [];
             while ($rs->fetch()) {
                 $affected_posts[] = (integer) $rs->post_id;
@@ -269,5 +269,5 @@
         $rs = $this->con->select($strReq);
 
-        $posts = array();
+        $posts = [];
         while ($rs->fetch()) {
             if ($rs->comment_trackback) {
@@ -320,7 +320,7 @@
     @return    <b>record</b>
      */
-    public function getCategories($params = array())
-    {
-        $c_params = array();
+    public function getCategories($params = [])
+    {
+        $c_params = [];
         if (isset($params['post_type'])) {
             $c_params['post_type'] = $params['post_type'];
@@ -341,6 +341,6 @@
 
         # Get each categories total posts count
-        $data  = array();
-        $stack = array();
+        $data  = [];
+        $stack = [];
         $level = 0;
         $cols  = $rs->columns();
@@ -370,5 +370,5 @@
             $level = $rs->level;
 
-            $t = array();
+            $t = [];
             foreach ($cols as $c) {
                 $t[$c] = $rs->f($c);
@@ -388,10 +388,10 @@
                 if ($v['cat_id'] == $params['cat_id']) {
                     $found = true;
-                    $data  = array($v);
+                    $data  = [$v];
                     break;
                 }
             }
             if (!$found) {
-                $data = array();
+                $data = [];
             }
         }
@@ -403,10 +403,10 @@
                 if ($v['cat_url'] == $params['cat_url']) {
                     $found = true;
-                    $data  = array($v);
+                    $data  = [$v];
                     break;
                 }
             }
             if (!$found) {
-                $data = array();
+                $data = [];
             }
         }
@@ -423,5 +423,5 @@
     public function getCategory($id)
     {
-        return $this->getCategories(array('cat_id' => $id));
+        return $this->getCategories(['cat_id' => $id]);
     }
 
@@ -456,8 +456,8 @@
     public function getCategoryFirstChildren($id)
     {
-        return $this->getCategories(array('start' => $id, 'level' => $id == 0 ? 1 : 2));
-    }
-
-    private function getCategoriesCounter($params = array())
+        return $this->getCategories(['start' => $id, 'level' => $id == 0 ? 1 : 2]);
+    }
+
+    private function getCategoriesCounter($params = [])
     {
         $strReq =
@@ -478,5 +478,5 @@
 
         $rs       = $this->con->select($strReq);
-        $counters = array();
+        $counters = [];
         while ($rs->fetch()) {
             $counters[$rs->cat_id] = $rs->nb_post;
@@ -499,9 +499,9 @@
         }
 
-        $url = array();
+        $url = [];
         if ($parent != 0) {
             $rs = $this->getCategory($parent);
             if ($rs->isEmpty()) {
-                $url = array();
+                $url = [];
             } else {
                 $url[] = $rs->cat_url;
@@ -551,5 +551,5 @@
 
         if ($cur->cat_url == '') {
-            $url = array();
+            $url = [];
             $rs  = $this->categories()->getParents($id);
             while ($rs->fetch()) {
@@ -695,5 +695,5 @@
 
             $rs = $this->con->select($strReq);
-            $a  = array();
+            $a  = [];
             while ($rs->fetch()) {
                 $a[] = $rs->cat_url;
@@ -785,5 +785,5 @@
     @return    <b>record</b>    A record with some more capabilities or the SQL request
      */
-    public function getPosts($params = array(), $count_only = false)
+    public function getPosts($params = [], $count_only = false)
     {
         # --BEHAVIOR-- coreBlogBeforeGetPosts
@@ -860,5 +860,5 @@
                 array_walk($params['post_id'], function (&$v, $k) {if ($v !== null) {$v = (integer) $v;}});
             } else {
-                $params['post_id'] = array((integer) $params['post_id']);
+                $params['post_id'] = [(integer) $params['post_id']];
             }
             $strReq .= 'AND P.post_id ' . $this->con->in($params['post_id']);
@@ -869,5 +869,5 @@
                 array_walk($params['exclude_post_id'], function (&$v, $k) {if ($v !== null) {$v = (integer) $v;}});
             } else {
-                $params['exclude_post_id'] = array((integer) $params['exclude_post_id']);
+                $params['exclude_post_id'] = [(integer) $params['exclude_post_id']];
             }
             $strReq .= 'AND P.post_id NOT ' . $this->con->in($params['exclude_post_id']);
@@ -884,5 +884,5 @@
         if (isset($params['cat_id']) && $params['cat_id'] !== '') {
             if (!is_array($params['cat_id'])) {
-                $params['cat_id'] = array($params['cat_id']);
+                $params['cat_id'] = [$params['cat_id']];
             }
             if (!empty($params['cat_id_not'])) {
@@ -892,5 +892,5 @@
         } elseif (isset($params['cat_url']) && $params['cat_url'] !== '') {
             if (!is_array($params['cat_url'])) {
-                $params['cat_url'] = array($params['cat_url']);
+                $params['cat_url'] = [$params['cat_url']];
             }
             if (!empty($params['cat_url_not'])) {
@@ -938,5 +938,5 @@
                 # --BEHAVIOR-- corePostSearch
                 if ($this->core->hasBehavior('corePostSearch')) {
-                    $this->core->callBehavior('corePostSearch', $this->core, array(&$words, &$strReq, &$params));
+                    $this->core->callBehavior('corePostSearch', $this->core, [&$words, &$strReq, &$params]);
                 }
 
@@ -990,5 +990,5 @@
         $rs            = $this->con->select($strReq);
         $rs->core      = $this->core;
-        $rs->_nb_media = array();
+        $rs->_nb_media = [];
         $rs->extend('rsExtPost');
 
@@ -997,5 +997,5 @@
 
         # --BEHAVIOR-- coreBlogAfterGetPosts
-        $alt = new arrayObject(array('rs' => null, 'params' => $params, 'count_only' => $count_only));
+        $alt = new arrayObject(['rs' => null, 'params' => $params, 'count_only' => $count_only]);
         $this->core->callBehavior('coreBlogAfterGetPosts', $rs, $alt);
         if ($alt['rs'] instanceof record) {
@@ -1068,5 +1068,5 @@
     @return    record
      */
-    public function getLangs($params = array())
+    public function getLangs($params = [])
     {
         $strReq = 'SELECT COUNT(post_id) as nb_post, post_lang ' .
@@ -1132,5 +1132,5 @@
     @return    record
      */
-    public function getDates($params = array())
+    public function getDates($params = [])
     {
         $dt_f  = '%Y-%m-%d';
@@ -1610,11 +1610,11 @@
     public function firstPublicationEntries($ids)
     {
-        $posts = $this->getPosts(array(
+        $posts = $this->getPosts([
             'post_id'       => dcUtils::cleanIds($ids),
             'post_status'   => 1,
             'post_firstpub' => 0
-        ));
-
-        $to_change = array();
+        ]);
+
+        $to_change = [];
         while ($posts->fetch()) {
 
@@ -1663,7 +1663,7 @@
         $field = $field == 'cat_id' ? 'cat_id' : 'cat_url';
 
-        $sub     = array();
-        $not     = array();
-        $queries = array();
+        $sub     = [];
+        $not     = [];
+        $queries = [];
 
         foreach ($arr as $v) {
@@ -1699,8 +1699,8 @@
 
         # Create queries
-        $sql = array(
-            0 => array(), # wanted categories
-            1 => array() # excluded categories
-        );
+        $sql = [
+            0 => [], # wanted categories
+            1 => [] # excluded categories
+        ];
 
         foreach ($queries as $id => $q) {
@@ -1838,10 +1838,10 @@
 
         # --BEHAVIOR-- coreAfterPostContentFormat
-        $this->core->callBehavior('coreAfterPostContentFormat', array(
+        $this->core->callBehavior('coreAfterPostContentFormat', [
             'excerpt'       => &$excerpt,
             'content'       => &$content,
             'excerpt_xhtml' => &$excerpt_xhtml,
             'content_xhtml' => &$content_xhtml
-        ));
+        ]);
     }
 
@@ -1860,5 +1860,5 @@
         $url = trim($url);
 
-        $url_patterns = array(
+        $url_patterns = [
             '{y}'  => date('Y', strtotime($post_dt)),
             '{m}'  => date('m', strtotime($post_dt)),
@@ -1866,5 +1866,5 @@
             '{t}'  => text::tidyURL($post_title),
             '{id}' => (integer) $post_id
-        );
+        ];
 
         # If URL is empty, we create a new one
@@ -1896,5 +1896,5 @@
             } else {
                 $clause = "LIKE '" .
-                $this->con->escape(preg_replace(array('%', '_', '!'), array('!%', '!_', '!!'), $url)) .
+                $this->con->escape(preg_replace(['%', '_', '!'], ['!%', '!_', '!!'], $url)) .
                     "%' ESCAPE '!'";
             }
@@ -1906,5 +1906,5 @@
 
             $rs = $this->con->select($strReq);
-            $a  = array();
+            $a  = [];
             while ($rs->fetch()) {
                 $a[] = $rs->post_url;
@@ -1961,5 +1961,5 @@
     @return    <b>record</b>    A record with some more capabilities
      */
-    public function getComments($params = array(), $count_only = false)
+    public function getComments($params = [], $count_only = false)
     {
         if ($count_only) {
@@ -2030,5 +2030,5 @@
                 array_walk($params['comment_id'], function (&$v, $k) {if ($v !== null) {$v = (integer) $v;}});
             } else {
-                $params['comment_id'] = array((integer) $params['comment_id']);
+                $params['comment_id'] = [(integer) $params['comment_id']];
             }
             $strReq .= 'AND comment_id ' . $this->con->in($params['comment_id']);
@@ -2073,5 +2073,5 @@
                 # --BEHAVIOR coreCommentSearch
                 if ($this->core->hasBehavior('coreCommentSearch')) {
-                    $this->core->callBehavior('coreCommentSearch', $this->core, array(&$words, &$strReq, &$params));
+                    $this->core->callBehavior('coreCommentSearch', $this->core, [&$words, &$strReq, &$params]);
                 }
 
@@ -2184,5 +2184,5 @@
         }
 
-        $rs = $this->getComments(array('comment_id' => $id));
+        $rs = $this->getComments(['comment_id' => $id]);
 
         if ($rs->isEmpty()) {
@@ -2289,5 +2289,5 @@
 
         # Retrieve posts affected by comments edition
-        $affected_posts = array();
+        $affected_posts = [];
         $strReq         =
         'SELECT post_id ' .
Index: inc/core/class.dc.categories.php
===================================================================
--- inc/core/class.dc.categories.php	(revision 3731)
+++ inc/core/class.dc.categories.php	(revision 3874)
@@ -31,22 +31,22 @@
         $this->blog_id       = $core->blog->id;
         $this->table         = $core->prefix . 'category';
-        $this->add_condition = array('blog_id' => "'" . $this->con->escape($this->blog_id) . "'");
-    }
-
-    public function getChildren($start = 0, $id = null, $sort = 'asc', $fields = array())
-    {
-        $fields = array_merge(array('cat_title', 'cat_url', 'cat_desc'), $fields);
+        $this->add_condition = ['blog_id' => "'" . $this->con->escape($this->blog_id) . "'"];
+    }
+
+    public function getChildren($start = 0, $id = null, $sort = 'asc', $fields = [])
+    {
+        $fields = array_merge(['cat_title', 'cat_url', 'cat_desc'], $fields);
         return parent::getChildren($start, $id, $sort, $fields);
     }
 
-    public function getParents($id, $fields = array())
-    {
-        $fields = array_merge(array('cat_title', 'cat_url', 'cat_desc'), $fields);
+    public function getParents($id, $fields = [])
+    {
+        $fields = array_merge(['cat_title', 'cat_url', 'cat_desc'], $fields);
         return parent::getParents($id, $fields);
     }
 
-    public function getParent($id, $fields = array())
-    {
-        $fields = array_merge(array('cat_title', 'cat_url', 'cat_desc'), $fields);
+    public function getParent($id, $fields = [])
+    {
+        $fields = array_merge(['cat_title', 'cat_url', 'cat_desc'], $fields);
         return parent::getParent($id, $fields);
     }
@@ -62,5 +62,5 @@
     protected $f_id;
 
-    protected $add_condition = array();
+    protected $add_condition = [];
 
     protected $parents;
@@ -71,5 +71,5 @@
     }
 
-    public function getChildren($start = 0, $id = null, $sort = 'asc', $fields = array())
+    public function getChildren($start = 0, $id = null, $sort = 'asc', $fields = [])
     {
         $fields = count($fields) > 0 ? ', C2.' . implode(', C2.', $fields) : '';
@@ -103,5 +103,5 @@
     }
 
-    public function getParents($id, $fields = array())
+    public function getParents($id, $fields = [])
     {
         $fields = count($fields) > 0 ? ', C1.' . implode(', C1.', $fields) : '';
@@ -119,5 +119,5 @@
     }
 
-    public function getParent($id, $fields = array())
+    public function getParent($id, $fields = [])
     {
         $fields = count($fields) > 0 ? ', C1.' . implode(', C1.', $fields) : '';
@@ -472,5 +472,5 @@
         }
 
-        $w = array();
+        $w = [];
         foreach ($this->add_condition as $c => $n) {
             $w[] = $prefix . $c . ' = ' . $n;
Index: inc/core/class.dc.core.php
===================================================================
--- inc/core/class.dc.core.php	(revision 3866)
+++ inc/core/class.dc.core.php	(revision 3874)
@@ -31,7 +31,7 @@
 
     private $versions   = null;
-    private $formaters  = array();
-    private $behaviors  = array();
-    private $post_types = array();
+    private $formaters  = [];
+    private $behaviors  = [];
+    private $post_types = [];
 
     /**
@@ -151,9 +151,9 @@
     public function getAllBlogStatus()
     {
-        return array(
+        return [
             1  => __('online'),
             0  => __('offline'),
             -1 => __('removed')
-        );
+        ];
     }
 
@@ -200,5 +200,5 @@
         }
 
-        return form::hidden(array('xd_check'), $this->getNonce());
+        return form::hidden(['xd_check'], $this->getNonce());
     }
     //@}
@@ -244,5 +244,5 @@
     public function getEditors()
     {
-        $editors = array();
+        $editors = [];
 
         foreach (array_keys($this->formaters) as $editor_id) {
@@ -270,5 +270,5 @@
     public function getFormaters($editor_id = '')
     {
-        $formaters_list = array();
+        $formaters_list = [];
 
         if (!empty($editor_id)) {
@@ -363,5 +363,5 @@
         }
 
-        return array();
+        return [];
     }
 
@@ -376,10 +376,7 @@
     @return    <b>string</b> Behavior concatened result
      */
-    public function callBehavior($behavior)
+    public function callBehavior($behavior, ...$args)
     {
         if (isset($this->behaviors[$behavior])) {
-            $args = func_get_args();
-            array_shift($args);
-
             $res = '';
 
@@ -417,9 +414,9 @@
     public function setPostType($type, $admin_url, $public_url, $label = '')
     {
-        $this->post_types[$type] = array(
+        $this->post_types[$type] = [
             'admin_url'  => $admin_url,
             'public_url' => $public_url,
             'label'      => ($label != '' ? $label : $type)
-        );
+        ];
     }
 
@@ -528,5 +525,5 @@
     @return    <b>record</b>
      */
-    public function getUsers($params = array(), $count_only = false)
+    public function getUsers($params = [], $count_only = false)
     {
         if ($count_only) {
@@ -566,5 +563,5 @@
             if (!empty($params['order']) && !$count_only) {
                 if (preg_match('`^([^. ]+) (?:asc|desc)`i', $params['order'], $matches)) {
-                    if (in_array($matches[1], array('user_id', 'user_name', 'user_firstname', 'user_displayname'))) {
+                    if (in_array($matches[1], ['user_id', 'user_name', 'user_firstname', 'user_displayname'])) {
                         $table_prefix = 'U.';
                     } else {
@@ -728,12 +725,12 @@
         $rs = $this->con->select($strReq);
 
-        $res = array();
+        $res = [];
 
         while ($rs->fetch()) {
-            $res[$rs->blog_id] = array(
+            $res[$rs->blog_id] = [
                 'name' => $rs->blog_name,
                 'url'  => $rs->blog_url,
                 'p'    => $this->auth->parsePermissions($rs->permissions)
-            );
+            ];
         }
 
@@ -860,11 +857,11 @@
     public function userDefaults()
     {
-        return array(
+        return [
             'edit_size'      => 24,
             'enable_wysiwyg' => true,
             'toolbar_bottom' => false,
-            'editor'         => array('xhtml' => 'dcCKEditor', 'wiki' => 'dcLegacyEditor'),
+            'editor'         => ['xhtml' => 'dcCKEditor', 'wiki' => 'dcLegacyEditor'],
             'post_format'    => 'wiki'
-        );
+        ];
     }
     //@}
@@ -908,8 +905,8 @@
         $rs = $this->con->select($strReq);
 
-        $res = array();
+        $res = [];
 
         while ($rs->fetch()) {
-            $res[$rs->user_id] = array(
+            $res[$rs->user_id] = [
                 'name'        => $rs->user_name,
                 'firstname'   => $rs->user_firstname,
@@ -918,5 +915,5 @@
                 'super'       => (boolean) $rs->user_super,
                 'p'           => $this->auth->parsePermissions($rs->permissions)
-            );
+            ];
         }
 
@@ -932,5 +929,5 @@
     public function getBlog($id)
     {
-        $blog = $this->getBlogs(array('blog_id' => $id));
+        $blog = $this->getBlogs(['blog_id' => $id]);
 
         if ($blog->isEmpty()) {
@@ -953,5 +950,5 @@
     @return    <b>record</b>
      */
-    public function getBlogs($params = array(), $count_only = false)
+    public function getBlogs($params = [], $count_only = false)
     {
         $join  = ''; // %1$s
@@ -1000,5 +997,5 @@
         if (isset($params['blog_id']) && $params['blog_id'] !== '') {
             if (!is_array($params['blog_id'])) {
-                $params['blog_id'] = array($params['blog_id']);
+                $params['blog_id'] = [$params['blog_id']];
             }
             $where .= 'AND B.blog_id ' . $this->con->in($params['blog_id']);
@@ -1184,5 +1181,5 @@
         $this->initWiki();
 
-        $this->wiki2xhtml->setOpts(array(
+        $this->wiki2xhtml->setOpts([
             'active_title'        => 1,
             'active_setext_title' => 0,
@@ -1217,7 +1214,7 @@
             'note_str'            => '<div class="footnotes"><h4>Notes</h4>%s</div>',
             'img_style_center'    => 'display:table; margin:0 auto;'
-        ));
-
-        $this->wiki2xhtml->registerFunction('url:post', array($this, 'wikiPostLink'));
+        ]);
+
+        $this->wiki2xhtml->registerFunction('url:post', [$this, 'wikiPostLink']);
 
         # --BEHAVIOR-- coreWikiPostInit
@@ -1232,5 +1229,5 @@
         $this->initWiki();
 
-        $this->wiki2xhtml->setOpts(array(
+        $this->wiki2xhtml->setOpts([
             'active_title'        => 0,
             'active_setext_title' => 0,
@@ -1261,5 +1258,5 @@
             'parse_pre'           => 0,
             'active_fr_syntax'    => 0
-        ));
+        ]);
 
         # --BEHAVIOR-- coreInitWikiSimpleComment
@@ -1274,5 +1271,5 @@
         $this->initWiki();
 
-        $this->wiki2xhtml->setOpts(array(
+        $this->wiki2xhtml->setOpts([
             'active_title'        => 0,
             'active_setext_title' => 0,
@@ -1303,5 +1300,5 @@
             'parse_pre'           => 0,
             'active_fr_syntax'    => 0
-        ));
+        ]);
 
         # --BEHAVIOR-- coreInitWikiComment
@@ -1312,18 +1309,18 @@
     {
         if (!($this->blog instanceof dcBlog)) {
-            return array();
+            return [];
         }
 
         $post_id = abs((integer) substr($url, 5));
         if (!$post_id) {
-            return array();
-        }
-
-        $post = $this->blog->getPosts(array('post_id' => $post_id));
+            return [];
+        }
+
+        $post = $this->blog->getPosts(['post_id' => $post_id]);
         if ($post->isEmpty()) {
-            return array();
-        }
-
-        $res        = array('url' => $post->getURL());
+            return [];
+        }
+
+        $res        = ['url' => $post->getURL()];
         $post_title = $post->post_title;
 
@@ -1355,97 +1352,97 @@
     {
         if (!is_array($defaults)) {
-            $defaults = array(
-                array('allow_comments', 'boolean', true,
-                    'Allow comments on blog'),
-                array('allow_trackbacks', 'boolean', true,
-                    'Allow trackbacks on blog'),
-                array('blog_timezone', 'string', 'Europe/London',
-                    'Blog timezone'),
-                array('comments_nofollow', 'boolean', true,
-                    'Add rel="nofollow" to comments URLs'),
-                array('comments_pub', 'boolean', true,
-                    'Publish comments immediately'),
-                array('comments_ttl', 'integer', 0,
-                    'Number of days to keep comments open (0 means no ttl)'),
-                array('copyright_notice', 'string', '', 'Copyright notice (simple text)'),
-                array('date_format', 'string', '%A, %B %e %Y',
-                    'Date format. See PHP strftime function for patterns'),
-                array('editor', 'string', '',
-                    'Person responsible of the content'),
-                array('enable_html_filter', 'boolean', 0,
-                    'Enable HTML filter'),
-                array('enable_xmlrpc', 'boolean', 0,
-                    'Enable XML/RPC interface'),
-                array('lang', 'string', 'en',
-                    'Default blog language'),
-                array('media_exclusion', 'string', '/\.(phps?|pht(ml)?|phl|.?html?|xml|js|htaccess)[0-9]*$/i',
-                    'File name exclusion pattern in media manager. (PCRE value)'),
-                array('media_img_m_size', 'integer', 448,
-                    'Image medium size in media manager'),
-                array('media_img_s_size', 'integer', 240,
-                    'Image small size in media manager'),
-                array('media_img_t_size', 'integer', 100,
-                    'Image thumbnail size in media manager'),
-                array('media_img_title_pattern', 'string', 'Title ;; Date(%b %Y) ;; separator(, )',
-                    'Pattern to set image title when you insert it in a post'),
-                array('media_video_width', 'integer', 400,
-                    'Video width in media manager'),
-                array('media_video_height', 'integer', 300,
-                    'Video height in media manager'),
-                array('media_flash_fallback', 'boolean', true,
-                    'Flash player fallback for audio and video media'),
-                array('nb_post_for_home', 'integer', 20,
-                    'Number of entries on first home page'),
-                array('nb_post_per_page', 'integer', 20,
-                    'Number of entries on home pages and category pages'),
-                array('nb_post_per_feed', 'integer', 20,
-                    'Number of entries on feeds'),
-                array('nb_comment_per_feed', 'integer', 20,
-                    'Number of comments on feeds'),
-                array('post_url_format', 'string', '{y}/{m}/{d}/{t}',
-                    'Post URL format. {y}: year, {m}: month, {d}: day, {id}: post id, {t}: entry title'),
-                array('public_path', 'string', 'public',
-                    'Path to public directory, begins with a / for a full system path'),
-                array('public_url', 'string', '/public',
-                    'URL to public directory'),
-                array('robots_policy', 'string', 'INDEX,FOLLOW',
-                    'Search engines robots policy'),
-                array('short_feed_items', 'boolean', false,
-                    'Display short feed items'),
-                array('theme', 'string', 'berlin',
-                    'Blog theme'),
-                array('themes_path', 'string', 'themes',
-                    'Themes root path'),
-                array('themes_url', 'string', '/themes',
-                    'Themes root URL'),
-                array('time_format', 'string', '%H:%M',
-                    'Time format. See PHP strftime function for patterns'),
-                array('tpl_allow_php', 'boolean', false,
-                    'Allow PHP code in templates'),
-                array('tpl_use_cache', 'boolean', true,
-                    'Use template caching'),
-                array('trackbacks_pub', 'boolean', true,
-                    'Publish trackbacks immediately'),
-                array('trackbacks_ttl', 'integer', 0,
-                    'Number of days to keep trackbacks open (0 means no ttl)'),
-                array('url_scan', 'string', 'query_string',
-                    'URL handle mode (path_info or query_string)'),
-                array('use_smilies', 'boolean', false,
-                    'Show smilies on entries and comments'),
-                array('no_search', 'boolean', false,
-                    'Disable search'),
-                array('inc_subcats', 'boolean', false,
-                    'Include sub-categories in category page and category posts feed'),
-                array('wiki_comments', 'boolean', false,
-                    'Allow commenters to use a subset of wiki syntax'),
-                array('import_feed_url_control', 'boolean', true,
-                    'Control feed URL before import'),
-                array('import_feed_no_private_ip', 'boolean', true,
-                    'Prevent import feed from private IP'),
-                array('import_feed_ip_regexp', 'string', '',
-                    'Authorize import feed only from this IP regexp'),
-                array('import_feed_port_regexp', 'string', '/^(80|443)$/',
-                    'Authorize import feed only from this port regexp')
-            );
+            $defaults = [
+                ['allow_comments', 'boolean', true,
+                    'Allow comments on blog'],
+                ['allow_trackbacks', 'boolean', true,
+                    'Allow trackbacks on blog'],
+                ['blog_timezone', 'string', 'Europe/London',
+                    'Blog timezone'],
+                ['comments_nofollow', 'boolean', true,
+                    'Add rel="nofollow" to comments URLs'],
+                ['comments_pub', 'boolean', true,
+                    'Publish comments immediately'],
+                ['comments_ttl', 'integer', 0,
+                    'Number of days to keep comments open (0 means no ttl)'],
+                ['copyright_notice', 'string', '', 'Copyright notice (simple text)'],
+                ['date_format', 'string', '%A, %B %e %Y',
+                    'Date format. See PHP strftime function for patterns'],
+                ['editor', 'string', '',
+                    'Person responsible of the content'],
+                ['enable_html_filter', 'boolean', 0,
+                    'Enable HTML filter'],
+                ['enable_xmlrpc', 'boolean', 0,
+                    'Enable XML/RPC interface'],
+                ['lang', 'string', 'en',
+                    'Default blog language'],
+                ['media_exclusion', 'string', '/\.(phps?|pht(ml)?|phl|.?html?|xml|js|htaccess)[0-9]*$/i',
+                    'File name exclusion pattern in media manager. (PCRE value)'],
+                ['media_img_m_size', 'integer', 448,
+                    'Image medium size in media manager'],
+                ['media_img_s_size', 'integer', 240,
+                    'Image small size in media manager'],
+                ['media_img_t_size', 'integer', 100,
+                    'Image thumbnail size in media manager'],
+                ['media_img_title_pattern', 'string', 'Title ;; Date(%b %Y) ;; separator(, )',
+                    'Pattern to set image title when you insert it in a post'],
+                ['media_video_width', 'integer', 400,
+                    'Video width in media manager'],
+                ['media_video_height', 'integer', 300,
+                    'Video height in media manager'],
+                ['media_flash_fallback', 'boolean', true,
+                    'Flash player fallback for audio and video media'],
+                ['nb_post_for_home', 'integer', 20,
+                    'Number of entries on first home page'],
+                ['nb_post_per_page', 'integer', 20,
+                    'Number of entries on home pages and category pages'],
+                ['nb_post_per_feed', 'integer', 20,
+                    'Number of entries on feeds'],
+                ['nb_comment_per_feed', 'integer', 20,
+                    'Number of comments on feeds'],
+                ['post_url_format', 'string', '{y}/{m}/{d}/{t}',
+                    'Post URL format. {y}: year, {m}: month, {d}: day, {id}: post id, {t}: entry title'],
+                ['public_path', 'string', 'public',
+                    'Path to public directory, begins with a / for a full system path'],
+                ['public_url', 'string', '/public',
+                    'URL to public directory'],
+                ['robots_policy', 'string', 'INDEX,FOLLOW',
+                    'Search engines robots policy'],
+                ['short_feed_items', 'boolean', false,
+                    'Display short feed items'],
+                ['theme', 'string', 'berlin',
+                    'Blog theme'],
+                ['themes_path', 'string', 'themes',
+                    'Themes root path'],
+                ['themes_url', 'string', '/themes',
+                    'Themes root URL'],
+                ['time_format', 'string', '%H:%M',
+                    'Time format. See PHP strftime function for patterns'],
+                ['tpl_allow_php', 'boolean', false,
+                    'Allow PHP code in templates'],
+                ['tpl_use_cache', 'boolean', true,
+                    'Use template caching'],
+                ['trackbacks_pub', 'boolean', true,
+                    'Publish trackbacks immediately'],
+                ['trackbacks_ttl', 'integer', 0,
+                    'Number of days to keep trackbacks open (0 means no ttl)'],
+                ['url_scan', 'string', 'query_string',
+                    'URL handle mode (path_info or query_string)'],
+                ['use_smilies', 'boolean', false,
+                    'Show smilies on entries and comments'],
+                ['no_search', 'boolean', false,
+                    'Disable search'],
+                ['inc_subcats', 'boolean', false,
+                    'Include sub-categories in category page and category posts feed'],
+                ['wiki_comments', 'boolean', false,
+                    'Allow commenters to use a subset of wiki syntax'],
+                ['import_feed_url_control', 'boolean', true,
+                    'Control feed URL before import'],
+                ['import_feed_no_private_ip', 'boolean', true,
+                    'Prevent import feed from private IP'],
+                ['import_feed_ip_regexp', 'string', '',
+                    'Authorize import feed only from this IP regexp'],
+                ['import_feed_port_regexp', 'string', '/^(80|443)$/',
+                    'Authorize import feed only from this port regexp']
+            ];
         }
 
